import React from 'react';

import { Component } from './styled';

export type Props = {
  absolute?: boolean;
  orientation?: 'vertical' | 'horizontal';
  variant?: 'fullWidth' | 'inset' | 'middle';
  light?: boolean;
  style?: Record<string, any>;
}

const Divider: React.FC<Props> = props => (
  <Component
    {...props}
  />
);

Divider.defaultProps = {
  absolute: false,
  orientation: 'vertical',
  variant: 'fullWidth',
  light: false,
  style: {},
};

export default Divider;
