import styled, { css } from 'styled-components';

export const Container = styled('div')<{isHidden: boolean}>`
  position: fixed;
  top: 0;
  height: 60px;
  width: 100%;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12);
  border: solid 1px rgba(0, 0, 0, 0.12);
  display: flex;
  align-items: center;
  padding: 0 24px;
  background-color: white;
  z-index: 100;

  transition: transform 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;

  ${props => (props.isHidden ? css`
    transform: translate(0, -60px);
  ` : css`
    transform: translate(0, 0);
  `)}
`;
