import styled, { css } from 'styled-components';

import { color } from '../../constants/style';

export const Wrapper = styled.div`
  width: 100%;
`;

export const BtnGroup = styled.div`
  background-color: white;
  border-radius: 4px;
  overflow: hidden;
  display: flex;
  justify-content: space-around;
  border: 1.5px solid ${color.primary};
`;

export const Btn = styled('button')<{isActive?: boolean}>`
  height: 30px;
  width: 100%;
  outline: none;
  background-color: white;
  border: none;
  cursor: pointer;
  color: ${color.primary};
  font-size: 14px;
  font-weight: bold;
  box-sizing: border-box;

  ${props => (props.isActive ? css`
    background-color: ${color.primary};
    color: white;
  ` : null)}
`;
