import styled, { css } from 'styled-components';

export const Container = styled('div')<{isHidden: boolean}>`
  position: fixed;
  top: 86px;
  left: 267px;
  right: 0;
  margin: auto;
  max-width: 572px;
  width: 100%;
  height: 54px;
  border-radius: 4px;
  box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.38);
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 8px;
  z-index: 2;

  transition: all 225ms ease-in-out;

  ${props => (props.isHidden ? css`
    opacity: 0;
    visibility: hidden;
  ` : css`
    opacity: 1;
    visibility: visible;
  `)}
`;

export const ToggleButton = styled.div`
  position: fixed;
  right: 20px;
  bottom: 15px;
  z-index: 2;
  box-shadow: 1px 1px 4px 2px rgba(0,0,0,0.32);
  border-radius: 40px;
  width: 80px;
  height: 80px;
`;
