import React from 'react';

import Button from '../Button';
import Typography from '../Typography';

import { Group } from '../../global/toolStyled';

type Props = {
  t: (key: string) => string;
};

const PageSelector: React.FC<Props> = ({
  t,
}: Props) => (
  <Group>
    <Typography variant="subtitle">
      {t('pageRange')}
    </Typography>
    <Button appearance="primary-hollow" style={{ width: '50%' }}>
      {t('All Pages')}
    </Button>
  </Group>
);

export default PageSelector;
