import styled, { css } from 'styled-components';

export const Separator = styled.div`
  flex: 1 1 auto;
`;

export const SidebarWrapper = styled('div')<{ isHidden: boolean }>`
  position: fixed;
  top: 60px;
  bottom: 0px;
  width: 267px;
  background-color: white;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12);
  z-index: 1;

  transition: left 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;

  ${props =>
    props.isHidden
      ? css`
          left: -267px;
        `
      : css`
          left: 0;
        `}
`;

export const AnnotationContainer = styled('div')<{
  top: string;
  left: string;
  width: string;
  height: string;
}>`
  position: absolute;
  overflow: hidden;
  cursor: pointer;

  ${props => css`
    top: ${props.top};
    left: ${props.left};
    width: ${props.width};
    height: ${props.height};
  `}
`;
