import App from 'next/app';
import React from 'react';
import { ToastProvider } from 'react-toast-notifications';
import { StoreProvider } from '../store';

import '../i18n';
import { GlobalStyle } from '../global/styled';

class MainApp extends App {
  render() {
    const { Component, pageProps } = this.props;

    return (
      <StoreProvider>
        <GlobalStyle lang="zh_tw" />
        <ToastProvider placement="bottom-center">
          <Component {...pageProps} />
        </ToastProvider>
      </StoreProvider>
    );
  }
}

export default MainApp;
